Skip to main content
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of a plan using its unique identifier.

Path Parameters

string
required
The unique identifier of the plan. For example, plan_00000000000001.

Response Parameters

string
The unique identifier linked to a plan. For example, plan_00000000000001. This ID is used when creating a subscription for a customer.
string
The entity being created. Here, it is plan.
integer
Used together with period to define how often the customer should be charged.
string
Used together with interval to define how often the customer should be charged. Possible values:
  • daily
  • weekly
  • monthly
  • yearly
array
Details of the plan.
string
The unique identifier linked to an item. For example, item_00000000000001.
string
Name of the plan. For example, Test Plan.
integer
Amount for the plan. When you use this plan to create a subscription, the customer will be charged this amount periodically.
string
Currency for the payment. You can accept payment in any of the supported currencies.
string
Description for the plan. For example, Description for the test plan.
object
Notes you can enter of the contact for future reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, "note_key": "Monthly Gym".
integer
The Unix timestamp at which the plan was created.

Errors

Code: 400This error occurs when you are not passing the plan_id in the API endpoint to fetch a plan based on the id.Solution: Ensure that you are passing the plan_id in the API endpoint.
For example, https://api.razorpay.com/v1/plans/plan_K8lVuxetc2OGR8.
Code: 4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.
Code: 400The plan_id passed in the URL is well-formed but does not exist or does not belong to the requesting merchant.Solution: Use a valid plan_id returned from POST /v1/plans. Confirm by fetching the plans list before retrying.